[Search page for MaxScale Documentation](http://mariadb-corporation.github.io/MaxScale/Search/)

# Contents

## About MaxScale

 - [About MaxScale](About/About-MaxScale.md)
 - [Release Notes 1.1](Release-Notes/MaxScale-1.1-Release-Notes.md)
 - [Changelog](Changelog.md)
 - [Limitations](About/Limitations.md)
 - [COPYRIGHT](About/COPYRIGHT.md)
 - [LICENSE](About/LICENSE.md)

## Getting Started

 - [Getting Started with MaxScale](Getting-Started/Getting-Started-With-MaxScale.md)
 - [Building MaxScale from Source Code](Getting-Started/Building-MaxScale-from-Source-Code.md)
 - [Configuration Guide](Getting-Started/Configuration-Guide.md)

## Upgrading MaxScale

- [Upgrading MaxScale to 1.1.0](Upgrading-To-MaxScale-1.1.0.md)

## Reference

 - [MaxAdmin](Reference/MaxAdmin.md)
 - [MaxScale HA with Corosync-Pacemaker](Reference/MaxScale-HA-with-Corosync-Pacemaker.md)
 - [MaxScale HA with Lsyncd](Reference/MaxScale-HA-with-lsyncd.md)
 - [How Errors are Handled in MaxScale](Reference/How-errors-are-handled-in-MaxScale.md)
 - [Debug and Diagnostic Support](Reference/Debug-And-Diagnostic-Support.md)
 
## Tutorials

 - [Administration Tutorial](Tutorials/Administration-Tutorial.md)
 - [Filter Tutorial](Tutorials/Filter-Tutorial.md)
 - [Galera Cluster Connection Routing Tutorial](Tutorials/Galera-Cluster-Connection-Routing-Tutorial.md)
 - [Galera Cluster Read-Write Splitting Tutorial](Tutorials/Galera-Cluster-Read-Write-Splitting-Tutorial.md)
 - [MaxScale Information Schema Tutorial](Tutorials/MaxScale-Information-Schema.md)
 - [MySQL Replication Connection Routing Tutorial](Tutorials/MySQL-Replication-Connection-Routing-Tutorial.md)
 - [MySQL Replication Read-Write Splitting Tutorial](Tutorials/MySQL-Replication-Read-Write-Splitting-Tutorial.md)
 - [MySQL Cluster Setup](Tutorials/MySQL-Cluster-Setup.md)
 - [Replication Proxy with the Binlog Router Tutorial](Tutorials/Replication-Proxy-Binlog-Router-Tutorial.md)
 - [RabbitMQ Setup and MaxScale Integration Tutorial](Tutorials/RabbitMQ-Setup-And-MaxScale-Integration.md)
 - [Nagios Plugins for MaxScale Tutorial](Tutorials/Nagios-Plugins.md)

## Routers

 - [Read Write Split](routers/ReadWriteSplit.md)
 - [Read Connnection Router](routers/ReadConnRoute.md)
 - [Schemarouter](routers/SchemaRouter.md)

## Filters

Here are detailed documents about the filters MaxScale offers. They contain configuration guides and example use cases. Before reading these,you should have read the filter tutorial so that you know how they work and how to configure them.

 - [Query Log All](filters/Query-Log-All-Filter.md)
 - [Regex Filter](filters/Regex-Filter.md)
 - [Tee Filter](filters/Tee-Filter.md)
 - [Top N Filter](filters/Top-N-Filter.md)
 - [Database Firewall Filter](filters/Database-Firewall-Filter.md)
 - [RabbitMQ Filter](filters/RabbitMQ-Filter.md)

## Monitors
 - [MySQL Monitor](monitors/MySQL-Monitor.md)
 - [Galera Monitor](monitors/Galera-Monitor.md)
 - [Multi-Master Monitor](monitors/MM-Monitor.md)
 - [MySQL Cluster Monitor](monitors/NDB-Cluster-Monitor.md)

## Utilities

 - [RabbitMQ Consumer Client](filters/RabbitMQ-Consumer-Client.md)

## Routers

 - [Simple Schema Sharding Router](routers/schemarouter/SchemaRouter.md)

## Design Documents

 - [Core Objects Design (in development)](http://mariadb-corporation.github.io/MaxScale/Design-Documents/core-objects-html-docs)
 - [Binlog Router Design (in development)](http://mariadb-corporation.github.io/MaxScale/Design-Documents/binlog-router-html-docs)
 - [DCB States (to be replaced in StarUML)](Design-Documents/DCB-States.pdf)
 - [Schema Sharding Router Technical Documentation](Design-Documents/SchemaRouter-technical.md)

## Earlier Release Notes

 - [MaxScale 0.5 Release Notes](Release-Notes/MaxScale-0.5-Release-Notes.md)
 - [MaxScale 0.6 Release Notes](Release-Notes/MaxScale-0.6-Release-Notes.md)
 - [MaxScale 0.7 Release Notes](Release-Notes/MaxScale-0.7-Release-Notes.md)
 - [MaxScale 1.0 Release Notes](Release-Notes/MaxScale-1.0-Release-Notes.md)
 - [MaxScale 1.0.1 Release Notes](Release-Notes/MaxScale-1.0.1-Release-Notes.md)
 - [MaxScale 1.0.3 Release Notes](Release-Notes/MaxScale-1.0.3-Release-Notes.md)

